Index: code/trunk/data/gui/scripts/NotificationLayer.lua
===================================================================
--- code/trunk/data/gui/scripts/NotificationLayer.lua	(revision 7412)
+++ code/trunk/data/gui/scripts/NotificationLayer.lua	(revision 7413)
@@ -426,8 +426,16 @@
     local window = winMgr:getWindow("orxonox/NotificationLayer/Root/EditMode/ControlWindow/NewQueueName")
     local name = window:getText()
+
+    local queue = P.queueList[name]
+    -- Test if a queue with that name already exists.
+    if queue ~= nil then
+        window:setText("Queue with that name already exists.")
+        return
+    end
+
     -- Creates the new queue.
     orxonox.NotificationManager:getInstance():createQueue(name)
 
-    local queue = P.queueList[name]
+    queue = P.queueList[name]
     if queue == nil then
         return
Index: code/trunk/src/libraries/util/StringUtils.h
===================================================================
--- code/trunk/src/libraries/util/StringUtils.h	(revision 7412)
+++ code/trunk/src/libraries/util/StringUtils.h	(revision 7413)
@@ -47,4 +47,12 @@
 {
     extern _UtilExport std::string BLANKSTRING;
+
+    //!< Struct that can be used as a comparison object for strings in stl containers.
+    _UtilExport struct StringCompare
+    {
+        bool operator() (const std::string& lhs, const std::string& rhs) const
+            { return lhs.compare(rhs) < 0; }
+    };
+
     _UtilExport std::string getUniqueNumberString();
 
Index: code/trunk/src/modules/notifications/Notification.cc
===================================================================
--- code/trunk/src/modules/notifications/Notification.cc	(revision 7412)
+++ code/trunk/src/modules/notifications/Notification.cc	(revision 7413)
@@ -104,5 +104,5 @@
     @brief
         Sends the Notification to the Notificationmanager, which then in turn distributes it to the different NotificationQueues.
-    @param clientID
+    @param clientId
         The id of the client that this Notification is sent to.
     @param sender
Index: code/trunk/src/modules/notifications/NotificationManager.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationManager.cc	(revision 7412)
+++ code/trunk/src/modules/notifications/NotificationManager.cc	(revision 7413)
@@ -129,5 +129,5 @@
         for(std::map<NotificationListener*, unsigned int>::iterator it = this->listenerList_.begin(); it != this->listenerList_.end(); it++) // Iterate through all NotificationListeners.
         {
-            std::set<std::string, NotificationListenerStringCompare> set = it->first->getTargetsSet();
+            std::set<std::string, StringCompare> set = it->first->getTargetsSet();
             bool bAll = set.find(NotificationManager::ALL) != set.end();
             // If either the Notification has as sender 'all', the NotificationListener displays all Notifications or the NotificationListener has the sender of the Notification as target.
@@ -210,5 +210,5 @@
         this->listenerList_[listener] = index; // Add the NotificationListener to the list of NotificationListeners.
 
-        std::set<std::string, NotificationListenerStringCompare> set = listener->getTargetsSet();
+        std::set<std::string, StringCompare> set = listener->getTargetsSet();
 
         // If all senders are the target of the NotificationListener, then the list of Notifications for that specific NotificationListener is the same as the list of all Notifications.
@@ -248,5 +248,4 @@
         assert(listener);
 
-        //TODO: Make unsigned int.
         unsigned int identifier = this->listenerList_.find(listener)->second;
         std::multimap<std::time_t, Notification*>* map = this->notificationLists_.find(identifier)->second;
Index: code/trunk/src/modules/notifications/NotificationQueue.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationQueue.cc	(revision 7412)
+++ code/trunk/src/modules/notifications/NotificationQueue.cc	(revision 7413)
@@ -69,5 +69,5 @@
         // Initialize.
         this->size_ = 0;
-        this->tickTime_ = 0.0;
+        this->tickTime_ = 0.0f;
 
         // Sets the input values.
@@ -77,6 +77,4 @@
         this->setDisplayTime(displayTime);
 
-        //TODO: Destroy if registration fails?
-
         // Register the NotificationQueue with the NotificationManager.
         bool queueRegistered = NotificationManager::getInstance().registerQueue(this);
@@ -85,5 +83,5 @@
         {
             this->registered_ = false;
-            COUT(1) << "Error: Notification Queue '" << this->getName() << "' could not be registered." << std::endl;
+            COUT(1) << "Error: NotificationQueue '" << this->getName() << "' could not be registered." << std::endl;
             return;
         }
@@ -99,5 +97,5 @@
             GUIManager::getInstance().getLuaState()->doString("NotificationLayer.removeQueue(\"" + this->getName() +  "\")");
             NotificationManager::getInstance().unregisterQueue(this);
-            COUT(1) << "Error: Notification Queue '" << this->getName() << "' could not be registered." << std::endl;
+            COUT(1) << "Error: NotificationQueue '" << this->getName() << "' could not be registered." << std::endl;
             return;
         }
@@ -358,5 +356,5 @@
         bool first = true;
         // Iterate through the set of targets.
-        for(std::set<std::string, NotificationListenerStringCompare>::const_iterator it = this->targets_.begin(); it != this->targets_.end(); it++)
+        for(std::set<std::string, StringCompare>::const_iterator it = this->targets_.begin(); it != this->targets_.end(); it++)
         {
             if(!first)
Index: code/trunk/src/modules/notifications/NotificationQueue.h
===================================================================
--- code/trunk/src/modules/notifications/NotificationQueue.h	(revision 7412)
+++ code/trunk/src/modules/notifications/NotificationQueue.h	(revision 7413)
@@ -124,5 +124,5 @@
             @return Returns a set of strings holding the different targets.
             */
-            inline const std::set<std::string, NotificationListenerStringCompare> & getTargetsSet()
+            inline const std::set<std::string, StringCompare> & getTargetsSet()
                 { return this->targets_; }
 
@@ -144,5 +144,5 @@
             bool registered_; //!< Helper variable to remember whether the NotificationQueue is registered already.
 
-            std::set<std::string, NotificationListenerStringCompare> targets_; //!< The targets the NotificationQueue displays Notifications of.
+            std::set<std::string, StringCompare> targets_; //!< The targets the NotificationQueue displays Notifications of.
 
             std::multiset<NotificationContainer*, NotificationContainerCompare> ordering_; //!< The NotificationContainers ordered by the time they were registered.
Index: code/trunk/src/orxonox/interfaces/NotificationListener.h
===================================================================
--- code/trunk/src/orxonox/interfaces/NotificationListener.h	(revision 7412)
+++ code/trunk/src/orxonox/interfaces/NotificationListener.h	(revision 7413)
@@ -41,4 +41,6 @@
 #include <string>
 
+#include "util/StringUtils.h"
+
 #include "core/OrxonoxClass.h"
 
@@ -46,15 +48,4 @@
 {
     class Notification;
-
-    /**
-    @brief
-        Struct that overloads the compare operation between two PickupIdentifier pointers.
-    */
-    //TODO: 
-    struct NotificationListenerStringCompare
-    {
-        bool operator() (const std::string& lhs, const std::string& rhs) const
-            { return lhs.compare(rhs) < 0; }
-    };
 
     /**
@@ -70,5 +61,5 @@
             virtual ~NotificationListener() {}
 
-            virtual const std::set<std::string, NotificationListenerStringCompare> & getTargetsSet() = 0;
+            virtual const std::set<std::string, StringCompare> & getTargetsSet() = 0;
             virtual void update(void) = 0;
             virtual void update(Notification* notification, const std::time_t & time) = 0;
